com.trilead.ssh2.packets

## Class PacketKexDhGexReply

- java.lang.Object
- - com.trilead.ssh2.packets.PacketKexDhGexReply

    public class PacketKexDhGexReply
    extends java.lang.Object

PacketKexDhGexReply.

### Constructor Summary

Constructors
Constructor and Description
`PacketKexDhGexReply(byte[] payload, int off, int len)`

### Method Summary

Methods
`java.math.BigInteger` `getF()`
`byte[]` `getHostKey()`
`byte[]` `getSignature()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketKexDhGexReply

    public PacketKexDhGexReply(byte[] payload,
                       int off,
                       int len)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getF

    public java.math.BigInteger getF()

#### getHostKey

    public byte[] getHostKey()

#### getSignature

    public byte[] getSignature()